Clone this repo:
  1. f72a86f chore: set max SDK version to <3.0.0 (#73) by Patrice Chalin · 2 days ago master 0.14.4+1
  2. faca07b dartfmt by Kevin Moore · 6 days ago
  3. 2b6dcae dartfmt by Kevin Moore · 9 days ago
  4. 88106d8 Rebase, update version number. by Lasse R.H. Nielsen · 10 weeks ago 0.14.4
  5. 1d431aa Update changelog by Lasse R.H. Nielsen · 10 weeks ago

CSS parser library for Dart

This is a CSS parser written entirely in Dart. It can be used in the client/server/command line.

This package is installed with Pub, see: install instructions for this package.

Usage

Parsing CSS is easy!

import 'package:csslib/parser.dart';

main() {
  var stylesheet = parse(
      '.foo { color: red; left: 20px; top: 20px; width: 100px; height:200px }');
  print(stylesheet.toDebugString());
}

You can pass a String or list of bytes to parse.

Running Tests

Basic tests can be found in this repository:

pub run test

The full CSS test suite can be found in https://github.com/dart-lang/csslib-test-suite

cd ../csslib-test-suite
./run.sh